summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorŠtěpán Němec <snemec@redhat.com>2021-01-27 15:02:03 +0100
committerPhil Sutter <phil@nwl.cc>2021-01-27 17:21:25 +0100
commit990cbbf75c40b92e6d6dc66721dfbedf33cacf8f (patch)
treed18ae5373ee994386fc5b55b7745c351f6b4089a
parent26b973029647daa5501dac0dcd430b0b467c3479 (diff)
tests: monitor: use correct $nft value in EXIT trap
With double quotes, $nft was being expanded to the default value even in presence of the -H option. Signed-off-by: Štěpán Němec <snemec@redhat.com> Helped-by: Tomáš Doležal <todoleza@redhat.com> Acked-by: Phil Sutter <phil@nwl.cc> Signed-off-by: Phil Sutter <phil@nwl.cc>
-rwxr-xr-xtests/monitor/run-tests.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/monitor/run-tests.sh b/tests/monitor/run-tests.sh
index 5a736fc6..1fe613c7 100755
--- a/tests/monitor/run-tests.sh
+++ b/tests/monitor/run-tests.sh
@@ -19,7 +19,7 @@ if [ ! -d $testdir ]; then
echo "Failed to create test directory" >&2
exit 1
fi
-trap "rm -rf $testdir; $nft flush ruleset" EXIT
+trap 'rm -rf $testdir; $nft flush ruleset' EXIT
command_file=$(mktemp -p $testdir)
output_file=$(mktemp -p $testdir)